Add placeholder "h:mm" to hours field for better user guidance
2009-01-08 01:20 - Maxim Krusina

Status: Closed Start date: 2009-01-08
Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed

Description

It will be very hardy to have some short pop-up help near "Spent-time" box.
It's hard to remember exact format of time.

Associated revisions

Revision 22977 - 2024-08-21 10:40 - Go MAEDA
Add placeholder "h:mm" to hours field for better user guidance (#2464).

Patch by Go MAEDA (user:maeda).

Revision 23045 - 2024-09-09 09:50 - Go MAEDA
Fix display issue of "h:mm" placeholder in estimated hours input field by expanding its width (#2464, #41231).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

History

#1 - 2009-01-09 22:09 - Eric Davis
- Category set to Ul

+1 | agree, | get a lot of "bug" reports from people entering time incorrectly

#2 - 2016-09-13 17:12 - Benjamin Schunn

is this needed anymore? imho no.

#3 - 2016-09-13 18:50 - Toshi MARUYAMA
- Description updated

#4 - 2024-08-19 09:40 - Go MAEDA
- File clipboard-202408191639-tajgz.png added

- Target version set to Candidate for next major release

| would like to propose adding a placeholder of "h:mm" in the hours field to indicate the expected time format. While Redmine supports various time
entry formats, “h:mm” is certainly the most common. Displaying this format as a placeholder could help users understand the expected input more
easily and improve overall usability.

This can be implemented with the following change:

diff --git a/lib/redmine/views/labelled_form_builder.rb b/lib/redmine/views/labelled_form_builder.rb
index 8c97b8215..£f364ca8e2 100644
——— a/lib/redmine/views/labelled_form_builder.rb
+++ b/lib/redmine/views/labelled_form_builder.rb
@@ -49,6 +49,7 Q@ class Redmine::Views::LabelledFormBuilder < ActionView::Helpers::FormBuilder
# display the value before type cast when the entered value is not valid
if @object.errors[field].blank?
options = options.merge (:value => format_hours (@object.send field))
+ .with_defaults (:placeholder => 'h:mm')
end
text_field field, options
end

clipboard-202408191639-tajgz.png

#5 - 2024-08-19 10:16 - Go MAEDA
- File 2464.patch added

#6 - 2024-08-20 04:39 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#7 - 2024-08-21 10:40 - Go MAEDA

- Subject changed from Add textual help to "spent time" field and fix errors to Add placeholder "h:mm" to hours field for better user guidance

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22977.

Files
